TERM(1)

NAME
term - server for multiple communication processes

SYNOPSIS
term [-s speed] [-n on|off] [-c on|off] [-f arg] [-w arg] [-t arg] [-o] [-a] [-d lev] [-l file] [-v file] [-1] [-r]

DEFINITION
Due to the fact that anything term and friends can do in one direction they will just as happily do in the other, the following frame of reference will be used throughout this documentation. The remote system refers to the system at the other end of the modem, and the local host refers to the machine you are typing on, typically the user's home system.

DESCRIPTION
Term and its clients support multiple compressed error corrected communication streams over a user's normal serial login connection. These streams may be used in any combination to run a normal login shell, direct X-server requests over the line to a user's remote X-server, direct any network port connection request to a specified port on the remote system, to transfer files in either direction, and to execute a single system command. All of these can occur in either direction, in any combination. You must have term binaries on both ends of the connection; term source is available by anonymous ftp from tartarus.uwa.edu.au:/pub/oreillym/term???.tar.Z and nic.funet.fi:/pub/OS/Linux/BETA/term???.tar.Z

USAGE
Term is run as a daemon which accepts connections from its clients and allocates bandwidth as appropriate for each client's data. Term must be run on both ends. On the remote system, execute: term Then, on the local system, either exit your comm's program and type term [options] >/dev/tty?? </dev/tty?? [2>/dev/null] & where tty?? is the appropriate device name for your modem or serial port, or for xcomm type control-A x "$ term" -n is a useful option for the local term. See below. Now both ends have running term daemons which will accept communication requests from the term clients trsh, tredir, txconn, tmon and tupload.

OPTIONS
Term acccepts a number of options:

-c off
    Turns off compression. Still does error correction. Consider this option if you have hardware compression (ie. v.32.bis) or are transferring compressed files. The default is to have compression on.

-n on|off
    Turns on line noise echoing. Talk requests, writes, and biffs to the login which is running term will then appear. This is a useful option to use on the local end (The end you are sitting at). Without this, you will never see any talk requests et al.

-f <number>
    Makes term send XON at specified interval. Zero is no flow control emulation, ten is one XON every 10 characters. The default is zero.

-s <number>
    Sets maximum number of bits per second (baudrate). Overrides the BAUDRATE environment variable. The default is 2400. Term will try never to send at a higher data rate than this. This is needed as most systems will try to be helpful and buffer the data sent to the serial port. Unfortunately this interferes with term's packet protocol which relies on a well defined round trip time.

-w <number>
    Sets the transmission window size. Higher numbers help with noisy lines; lower numbers help response time. Default is 3. For users with baud rates above 4800, setting this to 2 would probably help.

-t <number>
    Timeout length in 20ths of a second. Default is 50. Maximun 200. For 2400 baud lines, lifting this to 85 or 90 will improve efficeny.

-o  Turns on packet send forcing. Re-transmits oldest packet if nothing to send. Default off. Term will still try to keep the line busy, it just won't try as hard as it might.

-a  Turns on seven bit line mode. Use only if you have a seven bit line, as reported by checkline.

-d <number>
    The -d option to term sets the debuging level. This is useful for monitoring packet timeout conditions and other things. Level 64 is recommended. Read debug.h and the other source files to find out what other numbers do. If you are not comfortable with C, then this option is unlikely to help you.

-l <filename>
    Output all log/noise/debugging to the file <filename>

-v <filename>
    Set the modem device to be <filename>. Appropriate usage is something like "-v/dev/ttys1"

-1  Use stdout instead of stdin as the modem port. This is ignored if a -v is also present.

-r  Use this on the remote term so that client numbers won't clash.

INITIALIZATION FILE
The file termrc in the .term directory in your home directory may be created to specify default settings for a user. Several of these options may be specified no other way. Legal options are

escape <number>
    This is one of the most important options for term. Usage is either 'escape <some decimal number>' or 'escape <start of range>-<end of range>'. This tells term to never transmit this character. This is useful for serial lines that aren't fully clean. In particular, lines that use software flow control will want to do

ignore <number>
    This is to tell term to silently strip this character from the input stream. It should be used in correspondance with 'escape'. So if you use 'escape <number>' on one end, in the termrc at the other end should be a corresponding 'ignore <number>'.

compress [on|off].
    Turns the default compression mode on or off. The default is before sending over the serial line, and then un-compressed at the other end. If you are sending already compressed data, it is recommended that you turn compression off. Similarly, if your modem already does compression you may consider leaving it off. You can turn compression on and off on a client-by-clieny basis via the '-c' option for clients. See term_clients(1).

baudrate <number>.
    Default is 2400. This is used to limit the rate at which term sends data (in an attempt to defeat OS buffering). Set this to the minimum of your modem speed, and the computer-to-modem baud rate. Values that are too high shouldn't hurt too much , as long as timeout is not set too low.

timeout <number>.
    Set the number of 1/20th of a second to wait before re-sending packets that haven't been acked. A value of 90 is suggested for 2400 baud modems, and 70 for anything faster. The default value is 70.

window <number>
    The size of the packet window. Default value is 3.

noise on
    If this is set, then term will output anything it does't understand to standard error. This is where talk requests, mail biff's, write's, and corrupted packets will end up. This is suggested for the local end.

sevenbit
    Use this if your line is a sevenbit line. This is NOT the same as

breakout <number>
    The value of breakout character. Default is 48 ('0'). If either 'term' process see five breakout characters in a row, outside a packet, it will exit.

chdir <path>
    Sets the home directory. This will be used by remote tupload's when relative paths are sent.

remote
    Sets this to the remote side. It should only be done at one end. This prevents client number clashes.

ENVIRONMENT VARIABLES

BAUDRATE
    Used to set the speed. Overridden by command line option -s.

SHELL
    Default shell for trsh.

DISPLAY
    Used by txconn to determine which X-server socket to use.

TERMDIR
    Where to make the .term directory (which contains the socket for term itself). Default is HOME.

DIAGNOSTICS
The -d option provides debugging output. See term_setup(1), checkline(1), or linerem(1) for further diagnostic information.

SEE ALSO

term_clients(1)
    The man page for the term clients.

term_setup(1)
    The man page with debugging and setup information.

term/README
    The original docs for term from which these man pages were written.

term/OPTIONS
    The latest list of options term accepts.

term/TERMRC
    A description of the syntax and options the user may set in ~/.term/termrc.

term/CHANGES
    A list of changes to the program since these docs were produced. (version 0.9.0)

BUGS
Term by default requires a line which passes through all ascii values from 0 to 255. Xyplex-type terminal servers may require the use of set session passall to work correctly.

AUTHOR
Michael O'Reilly, oreillym@tartarus.uwa.edu.au.